import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Bar extends Actor
{

    private GreenfootImage image1;
    private String upKey;
    private String downKey;
    
    
    public Bar(String upKey1, String downKey1)
    {
        image1 = new GreenfootImage("pongbar.png"); 
        upKey = upKey1;
        downKey = downKey1;
        setImage(image1);
        setDirection();
    }

    public void act()
    {
        checkKeypress();       
    }
    
    public void checkKeypress()
    {
        if ( Greenfoot.isKeyDown(upKey) )
        {
            move(5);
        }
        if ( Greenfoot.isKeyDown(downKey) )
        {
            move(-5);
        }
    }
    
    public void setDirection()
    {
        turn(-90);
    }
}
